SystemOrganization addCategory: #Deli!

WAComponent subclass: #DLLogin
	instanceVariableNames: 'user nameInput passwordInput hpilogin'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Deli'!

!DLLogin class methodsFor: 'as yet unclassified' stamp: 'Marik 5/19/2009 18:05'!
canBeRoot

	^true! !

!DLLogin methodsFor: 'accessing' stamp: 'Marik 5/20/2009 13:30'!
hpilogin

	^ hpilogin! !

!DLLogin methodsFor: 'accessing' stamp: 'Marik 5/20/2009 13:30'!
hpilogin: anObject

	hpilogin := anObject.! !

!DLLogin methodsFor: 'accessing' stamp: 'Marik 5/20/2009 13:58'!
initialize
	super initialize.
	self user: DLUser new.
	self hpilogin: HPILoginChecker new! !

!DLLogin methodsFor: 'accessing' stamp: 'Marik 5/19/2009 18:35'!
nameInput

	^ nameInput! !

!DLLogin methodsFor: 'accessing' stamp: 'Marik 5/19/2009 18:35'!
nameInput: anObject

	nameInput := anObject.! !

!DLLogin methodsFor: 'accessing' stamp: 'Marik 5/19/2009 18:35'!
passwordInput

	^ passwordInput! !

!DLLogin methodsFor: 'accessing' stamp: 'Marik 5/19/2009 18:35'!
passwordInput: anObject

	passwordInput := anObject.! !

!DLLogin methodsFor: 'as yet unclassified' stamp: 'Marik 5/20/2009 13:31'!
renderContentOn: html

	html 	heading: 'Login to the Deli System'.
			html form:[
			html 	table:[
					html 	tableRow:[self renderNameInputOn: html];
							tableRow:[self renderPasswordInputOn: html];
							tableRow:[self renderSubmitButtonOn: html]]].
				
	(self hpilogin checkLogin: self user userName password: self user password)
	ifTrue:[html text: 'Erfolgreich eingeloggt']
	ifFalse:[html text: 'Nicht eingeloggt'].! !

!DLLogin methodsFor: 'as yet unclassified' stamp: 'Marik 5/20/2009 13:34'!
renderNameInputOn: html

html 	tableData: [html text: 'Name: '];
		tableData: [html textInput value: '<Username>';
											callback: [:value | self user userName: value]].! !

!DLLogin methodsFor: 'as yet unclassified' stamp: 'Marik 5/20/2009 13:34'!
renderPasswordInputOn: html

html 	tableData: [html text: 'Password: '];
		tableData: [html passwordInput value: '<password>';
												 callback: [:value | self user password: value]].! !

!DLLogin methodsFor: 'as yet unclassified' stamp: 'Marik 5/20/2009 13:38'!
renderSubmitButtonOn: html

html tableData:[html submitButton].
! !

!DLLogin methodsFor: 'as yet unclassified' stamp: 'Marik 5/19/2009 18:53'!
renderTestOn: html
Transcript show: 'jojo'.
html text: 'jojo'.! !

!DLLogin methodsFor: 'accessing' stamp: 'Marik 5/20/2009 13:21'!
user

	^ user! !

!DLLogin methodsFor: 'accessing' stamp: 'Marik 5/20/2009 13:21'!
user: anObject

	user := anObject.! !

WAComponent subclass: #DLUser
	instanceVariableNames: 'userName password'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Deli'!

!DLUser methodsFor: 'as yet unclassified' stamp: 'Marik 5/20/2009 13:37'!
initialize

	self userName: 'bla'.
	self password: 'bla'.! !

!DLUser methodsFor: 'accessing' stamp: 'Marik 5/20/2009 13:16'!
password

	^ password! !

!DLUser methodsFor: 'accessing' stamp: 'Marik 5/20/2009 13:16'!
password: anObject

	password := anObject.! !

!DLUser methodsFor: 'accessing' stamp: 'Marik 5/20/2009 13:16'!
userName

	^ userName! !

!DLUser methodsFor: 'accessing' stamp: 'Marik 5/20/2009 13:16'!
userName: anObject

	userName := anObject.! !

Object subclass: #Tutorials
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Deli'!

!Tutorials methodsFor: 'as yet unclassified' stamp: 'Marik 5/19/2009 17:41'!
HowToUseHPILogin

"
--> Load LDAPlayer v47 via SqueakMapPackageLoader
--> Load HPILogin class via Monticello from Repository http://www.hpi.uni-potsdam.de/hirschfeld/squeaksource/HPILogin

--> Use

hpi := HPILoginChecker new.
hpi checkLogin: 'surname.name' password: '******'"! !
